using System;
using System.Collections.Generic;
using System.Text;

using System.Data;
using System.Data.SqlClient;
using OOP.Bank.Common;
using OOP.Bank.Interface;
using OOP.Bank.DataAccess;

namespace OOP.Bank.Business
{
    public class Transaction : ITransaction
    {
        private String _account_no;
        private String _operation;
        private Double _amount;
        private DateTime _transaction_date;
        private DataSet _transactions;


        public Transaction()
        {
        }

        public Transaction(String AccountNo)
        {
            _transactions = TransactionDac.Retrieve(AccountNo);
        }


        public String AccountNo
        {
            get { return _account_no; }
            set { _account_no = value; }
        }

        public String Operation
        {
            get { return _operation; }
            set { _operation = value; }
        }

        public Double Amount
        {
            get { return _amount; }
            set { _amount = value; }
        }

        public DateTime TransactionDate
        {
            get { return _transaction_date; }
            set { _transaction_date = value; }
        }

        public DataSet TransactionHistory
        {
            get { return _transactions; }
            set { _transactions = value; }
        }


        public Int32 Create()
        {
            return TransactionDac.Create(this);
        }

    }
}

