using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using OOP.Bank.Business;

public partial class Login : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
            Session["AccountNo"] = null;
    }

    protected void btnSubmit_Click(object sender, EventArgs e)
    {
        String password = FormsAuthentication.HashPasswordForStoringInConfigFile(txtPassword.Text, "SHA1");
        Customer customer = new Customer();

        if (customer.Login(txtAccountNo.Text, password))
        {
            Session["AccountNo"] = txtAccountNo.Text;
            Response.Redirect("Default.aspx");
        }
        else
        {
            lblStatusMessage.Text = "Invalid login account!";
        }
    }
}
