using System;
using System.Collections.Generic;
using System.Text;

using System.Data;
using System.Data.SqlClient;
using OOP.Bank.Common;
using OOP.Bank.Interface;

namespace OOP.Bank.DataAccess
{
    public class TransactionDac : Configuration
    {
        public static Int32 Create(ITransaction Transaction)
        {
            SqlParameter[] _parameters = {                
                new SqlParameter( "@_account_no", Transaction.AccountNo ),
                new SqlParameter( "@_transaction", Transaction.Operation ),
                new SqlParameter( "@_amount", Transaction.Amount )
            };
            return Convert.ToInt32(SqlHelper.ExecuteScalar(ConnectionString, "_Transactions_Insert", _parameters));
        }

        public static DataSet Retrieve(String _account_no)
        {
            SqlParameter[] _parameters = { new SqlParameter("@_account_no", _account_no) };
            return SqlHelper.ExecuteDataset(ConnectionString, "_Transactions_Retrieve", _parameters);
        }
    }
}

