using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using OOP.Bank.Business;

public partial class Deposit : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }

    protected void btnSubmit_Click(object sender, EventArgs e)
    {
        if (Session["AccountNo"] != null)
            if (txtAmount.Text.Length > 0 || txtAmount.Text == "0")
            {
                Double amount = Convert.ToDouble(txtAmount.Text);
                String account_no = Convert.ToString(Session["AccountNo"]);

                Account account = new Account(account_no);
                Int32 result = account.Deposit(amount);
                if (result == 1)
                {
                    lblStatusMessage.Text = "You successfully withdraw " + amount.ToString();
                    lblStatusMessage.Text += ". Your available balance is " + account.AccountBalance.ToString() + ".";
                }
                else
                {
                    lblStatusMessage.Text = "Error encountered while processing transaction.";
                }
            }
    }
}
